﻿@model Cinema

@{
    ViewData["Title"] = "Delete Cinema";
}
<head>
    <script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
</head>

<div class="row text">
    <div class="col-md-8 offset-2">
        <p>
            <h1>Delete confirmation for @Model.Name</h1>
        </p>
        <div class="row">
            <div class="col-md-8 offset-2">
                <div class="form-group text-center">
                    <img class="border-info rounded-circle" style="max-width: 150px" id="ProfilePicturePreview" />
                </div>
                <div class="form-group">
                    <label asp-for="Logo" class="control-label"></label>
                    <input asp-for="Logo" class="form-control" readonly />
                    <span asp-validation-for="Logo" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Name" class="control-label"></label>
                    <input asp-for="Name" class="form-control" readonly />
                    <span asp-validation-for="Name" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="Description" class="control-label"></label>
                    <input asp-for="Description" class="form-control" readonly />
                    <span asp-validation-for="Description" class="text-danger"></span>
                </div>

                <div class="form-group">
                    <form asp-action="Delete">
                        <input type="hidden" asp-for="Id" />
                        <input type="submit" value="Confirm" class="btn btn-danger float-end" />
                    </form>

                    <a class="btn btn-outline-secondary" asp-action="Index">Show All</a>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    <script>

        $(document).ready(function () {
            var output = document.getElementById('ProfilePicturePreview');
            output.src = $("#Logo").val();
        })
    </script>
}